ComponentModelBasePlugin.PluginRules (Gradle API 9.6.1)
Description: declaration: package: org.gradle.language.base.plugins, class: ComponentModelBasePlugin, class: PluginRules

Package org.gradle.language.base.plugins

# Class ComponentModelBasePlugin.PluginRules

java.lang.Object
org.gradle.model.RuleSource
org.gradle.language.base.plugins.ComponentModelBasePlugin.PluginRules

Enclosing class:
  `ComponentModelBasePlugin`

static class ComponentModelBasePlugin.PluginRules extends RuleSource

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `(package private) static class`
  `ComponentModelBasePlugin.PluginRules.AttachInputs`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginRules()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `addComponentSourcesSetsToProjectSourceSet(SourceComponentSpec component, ProjectSourceSet projectSourceSet)`
  `(package private) void`
  `applyFallbackSourceConventions(LanguageSourceSet languageSourceSet, org.gradle.api.internal.project.ProjectIdentifier projectIdentifier)`
  `(package private) void`
  `attachBinariesToAssembleLifecycle(Task assemble, ComponentSpecContainer components)`
  `(package private) void`
  `collectBinaries(BinaryContainer binaries, ComponentSpecContainer componentSpecs)`
  `(package private) void`
  `copyBinariesCheckTasksToTaskContainer(TaskContainer tasks, BinaryContainer binaries)`
  `(package private) void`
  `createSourceTransformTasks(TaskContainer tasks, ModelMap<org.gradle.platform.base.internal.BinarySpecInternal> binaries, org.gradle.language.base.internal.registry.LanguageTransformContainer languageTransforms, org.gradle.internal.service.ServiceRegistry serviceRegistry)`
  `void`
  `defineBinariesCheckTasks(org.gradle.platform.base.internal.BinarySpecInternal binary, org.gradle.model.internal.core.NamedEntityInstantiator<Task> taskInstantiator)`
  `(package private) org.gradle.platform.base.internal.dependents.DependentBinariesResolver`
  `dependentBinariesResolver(org.gradle.internal.reflect.Instantiator instantiator)`
  `(package private) void`
  `initializeComponentSourceSets(org.gradle.platform.base.internal.HasIntermediateOutputsComponentSpec component, org.gradle.language.base.internal.registry.LanguageTransformContainer languageTransforms)`
  `(package private) void`
  `inputRules(ComponentModelBasePlugin.PluginRules.AttachInputs attachInputs, GeneralComponentSpec component)`
  `(package private) org.gradle.language.base.internal.registry.LanguageTransformContainer`
  `languageTransforms(org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator)`
  `(package private) org.gradle.platform.base.internal.PlatformResolvers`
  `platformResolver(PlatformContainer platforms)`
  `(package private) PlatformContainer`
  `platforms(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator)`
  `org.gradle.language.base.internal.ProjectLayout`
  `projectLayout(org.gradle.api.internal.project.ProjectIdentifier projectIdentifier, File buildDir)`
  `(package private) void`
  `registerApplicationSpec(TypeBuilder<ApplicationSpec> builder)`
  `(package private) void`
  `registerBaseDependentBinariesResolutionStrategy(org.gradle.platform.base.internal.dependents.DependentBinariesResolver resolver, org.gradle.internal.service.ServiceRegistry serviceRegistry)`
  `(package private) void`
  `registerGeneralComponentSpec(TypeBuilder<GeneralComponentSpec> builder)`
  `(package private) void`
  `registerLibrarySpec(TypeBuilder<LibrarySpec> builder)`
  `(package private) void`
  `registerPlatformAwareComponent(TypeBuilder<PlatformAwareComponentSpec> builder)`
  `(package private) void`
  `registerPlatformExtension(ExtensionContainer extensions, PlatformContainer platforms)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginRules

    PluginRules()

- ## Method Details

  - ### registerGeneralComponentSpec

    void registerGeneralComponentSpec(TypeBuilder<GeneralComponentSpec> builder)

  - ### registerLibrarySpec

    void registerLibrarySpec(TypeBuilder<LibrarySpec> builder)

  - ### registerApplicationSpec

    void registerApplicationSpec(TypeBuilder<ApplicationSpec> builder)

  - ### registerPlatformAwareComponent

    void registerPlatformAwareComponent(TypeBuilder<PlatformAwareComponentSpec> builder)

  - ### languageTransforms

    org.gradle.language.base.internal.registry.LanguageTransformContainer languageTransforms(org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator)

  - ### createSourceTransformTasks

    void createSourceTransformTasks(TaskContainer tasks, ModelMap<org.gradle.platform.base.internal.BinarySpecInternal> binaries, org.gradle.language.base.internal.registry.LanguageTransformContainer languageTransforms, org.gradle.internal.service.ServiceRegistry serviceRegistry)

  - ### projectLayout

    public org.gradle.language.base.internal.ProjectLayout projectLayout(org.gradle.api.internal.project.ProjectIdentifier projectIdentifier, File buildDir)

  - ### platforms

    PlatformContainer platforms(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator)

  - ### platformResolver

    org.gradle.platform.base.internal.PlatformResolvers platformResolver(PlatformContainer platforms)

  - ### registerPlatformExtension

    void registerPlatformExtension(ExtensionContainer extensions, PlatformContainer platforms)

  - ### collectBinaries

    void collectBinaries(BinaryContainer binaries, ComponentSpecContainer componentSpecs)

  - ### attachBinariesToAssembleLifecycle

    void attachBinariesToAssembleLifecycle(Task assemble, ComponentSpecContainer components)

  - ### initializeComponentSourceSets

    void initializeComponentSourceSets(org.gradle.platform.base.internal.HasIntermediateOutputsComponentSpec component, org.gradle.language.base.internal.registry.LanguageTransformContainer languageTransforms)

  - ### applyFallbackSourceConventions

    void applyFallbackSourceConventions(LanguageSourceSet languageSourceSet, org.gradle.api.internal.project.ProjectIdentifier projectIdentifier)

  - ### defineBinariesCheckTasks

    public void defineBinariesCheckTasks(org.gradle.platform.base.internal.BinarySpecInternal binary, org.gradle.model.internal.core.NamedEntityInstantiator<Task> taskInstantiator)

  - ### copyBinariesCheckTasksToTaskContainer

    void copyBinariesCheckTasksToTaskContainer(TaskContainer tasks, BinaryContainer binaries)

  - ### addComponentSourcesSetsToProjectSourceSet

    void addComponentSourcesSetsToProjectSourceSet(SourceComponentSpec component, ProjectSourceSet projectSourceSet)

  - ### inputRules

    void inputRules(ComponentModelBasePlugin.PluginRules.AttachInputs attachInputs, GeneralComponentSpec component)

  - ### dependentBinariesResolver

    org.gradle.platform.base.internal.dependents.DependentBinariesResolver dependentBinariesResolver(org.gradle.internal.reflect.Instantiator instantiator)

  - ### registerBaseDependentBinariesResolutionStrategy

    void registerBaseDependentBinariesResolutionStrategy(org.gradle.platform.base.internal.dependents.DependentBinariesResolver resolver, org.gradle.internal.service.ServiceRegistry serviceRegistry)